Bug 151388 - G5 Kernel always crashed during install; G4 sometimes in CUPS
G5 Kernel always crashed during install; G4 sometimes in CUPS
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
powerpc Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks: fedora-ppc
  Show dependency treegraph
 
Reported: 2005-03-17 10:06 EST by Andrew Cagney
Modified: 2015-01-04 17:17 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-05 09:02:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrew Cagney 2005-03-17 10:06:22 EST
Description of problem:

50% of the way through the ``Performing post install configuration...'' this
popped up:

cpu 0x1: Vector: 200 (Machine Check) at [c0000000077cb7d0]
pc: d000000000276a98: .parport_ECR_present+0x1f8/0x470 [parport_pc]
lr: d0000000002780f8: .parport_pc_probe_port+0x5b8/0x700 [parport_pc]
sp: c0000000077cba50
msr: 9000000000109032
current = 0xc00000000a09d810
paca = 0xc00000000046e000
pid = 10855, comm = modprobe
enter ? for help
1:mon>

[but the m/c's actually wedged]

[I'm wondering if it is installed enoug to boot?]
Comment 1 Andrew Cagney 2005-03-17 10:53:03 EST
Additional note.

Disabling "printer services" (in the hope that it would stop cups/this print
stuff crashing the m/c didn't work).
Comment 2 Andrew Cagney 2005-03-18 09:42:10 EST
Workaround:

- proceed for a normal install all the way through to the point where the RPMs
have started installing

- wait until you've seen the kernel[s](1) unpacked (if the install get's past
50% then it's likely installed anyway) but _before_ the unpacking of all RPMs
has finished

- Switch to the alternate screen with the shell prompt (<alt> <F2> from memory)

- (going from memory)
Remove the file:
/mnt/sysimage/lib/modules/`uname -r`/kernel/drivers/parport/parport_pc.ko
or
/mnt/sysimage/lib/modules/*/kernel/drivers/parport/parport_pc.ko

(of course you can switch to the F2 screen earlier and just keep repeating the
delete - but that might miss something on the main screen).

- allow the install to finish as normal

(1) You might notice a 32-bit smp kernel being installed.  Ignore that it's a
known bug (bug #149618).  The 64-bit kernel is SMP.

Comment 3 Andrew Cagney 2005-03-21 10:25:32 EST
A G4 _occasionally_ either: hangs during the install; or hangs when starting
cups during a normal boot; for what appears to be the same reason.
Comment 4 David Woodhouse 2005-04-05 09:02:56 EDT
Fixed in newer kernels by removing the PC parallel port driver which was causing
the crash.

Note You need to log in before you can comment on or make changes to this bug.